#!/bin/sh

# This is a simple script that downloads current weather conditions and zone
# forecast from the National Weather Service to /tmp and displays them.
# 
# This script is preconfigured for the Yakima, WAarea.
# It is biased toward the US, as it gets its data from the NWS.
# 
# To change the forecast zone, replace ok/okz060 with another forecast zone.
# See <http://weather.noaa.gov/pub/data/forecasts/zone/> for a list.

wget -q -O /tmp/wx-forecast.txt http://weather.noaa.gov/pub/data/forecasts/zone/wa/waz027.txt
echo " *************************** Yakima, WA Forecast *************************** "
echo ""
fold -w 78 -s /tmp/wx-forecast.txt
